Bug 101070 - bash shows old directory entries
bash shows old directory entries
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-28 17:43 EDT by Olen
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Olen 2003-07-28 17:43:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461)

Description of problem:
When a firs bash is in a directory, say ~/bin of your files, it becomes 
confused, if in another (second) shell ~/bin is moved to ~/bin2, and a cp -r 
~/bin2 ~/bin is issued.

$ mv ~/bin ~/bin2
$ cp -r ~/bin2 ~/bin


ls -i in the first shell will show the old inode numbers, as a side note 
executing a program from bin will not see the new versions of the files either, 
it will run the old executables.

ls -i in the second shell will show the right inode numbers.

So it seems the first bash is using files that aren't even in the file system 
anymore.  This was done on an ext3 journaled file system, in case that is where 
the problem acutally is.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. cd ~/bin in one bash. Assume ~/bin has some files in it.
2. in another bash 
   a. mv ~/bin ~/bin2
   b. cp -r ~/bin2 ~/bin
   c. ls -i ~/bin
3.In original bash ls -i ~/bin
4. Note the different inode numbers.
    

Actual Results:  Old executables were being executed, after a cvs checkout, and 
recompile occured in another shell.  

Expected Results:  I think bash would access the files that are still in the 
filesystem.

Additional info:
Comment 1 Tim Waugh 2003-07-29 08:58:29 EDT
Bash doesn't cache this sort of stuff.
Comment 2 Bugzilla owner 2004-09-30 11:41:22 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.